function H = wood_hessian1(x)
  ##
  ## A version of the wood_hessian() function which takes a column
  ## 4-vector instead of four distinct arguments. See wood_hessian.m
  ## for more information.
  ##
  if (length(x) == 4)
    H = wood_hessian(x(1), x(2), x(3), x(4));
  else
    H = NA;
  end
end
